/*******************************************************************************
 Projektname:       LineRacer.cprj
 Bentigte Libss:  IntFunc_lib.cc
 Routinen:          LineRacer.cc, PRO-BOT128C_Lib.cc
 Autor:             Niko
 Datum:             28. November 2012
 Funktion:          PRO-BOT128 folgt einer schwarzen Linie auf den Boden.

                    Der PRO-BOT128 folgt einer Linie wie eine Wackelente.
                    Die Backward-LEDs zeigen an, wenn die Sensoren die schwarze Linie
                    erkennen.

                    Die Werte BLACK und WHITE wurden durch Tests ermittelt und
                    mssen fr jeden einzelnen PRO-BOT erneut ermittelt werden.

                    Der schwarze Strich sollte mindestens 10 mm breit sein,
                    damit der PRO-BOT ihn findet und nicht verliert.

                    Es werden nur 2 Zustnde ausgewertet:
                    1. Messwert des linken Sensors > Messwert des rechten Sensors:
                    Dann rechten Motor STOPP, damit eine Rechtsdrehung gemacht wird
                    2. Alle anderen Zustnde:
                    Dann linken Motor STOPP, damit eine Linksdrehung gemacht wird

                    Allerdings hat dieser simple Algorithmus seine Grenzen!
 */

#define HIGHSPEED 255
#define MIDDLESPEED 220
#define LOWSPEED 100
#define WAIT1 50

int Line_left_value; // Messwert linker Liniensensor
int Line_right_value; // Messwert rechter Liniensensor


void main(void)
{
    PRO_BOT128_INIT(); //System-Setup - immer an 1. Stelle in der main
    Line_left_value = 0;
    Line_right_value = 0;
    LINE_LED_ON(); // Licht an
    DRIVE_ON();//ENABLE for Motore
    MOTOR_DIR(1,1); //Richtung "Vorwrts"


    //Main programm, endless Loop
    do
     {
     Line_left_value = READ_LINE_LEFT();
     Line_right_value = READ_LINE_RIGHT();

     // 2-Punkt-Regler
      if (Line_left_value > Line_right_value)
        {
        MOTOR_POWER(LOWSPEED, MIDDLESPEED);
        BLR_ON();
        DELAY_MS(WAIT1);
        }
        else
        {
        MOTOR_POWER(MIDDLESPEED, LOWSPEED);
        BLL_OFF();
         DELAY_MS(WAIT1);
        }

     }while (1);

}

